PathwayOptimiser
Keywords: uk.ac.ic.doc.automed.tml.PathwayOptimiser,PathwayOptimiser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.tml
Class PathwayOptimiser

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.tml.PathwayOptimiser

public class PathwayOptimiser
extends java.lang.Object

Constructor Summary
`PathwayOptimiser()`

Method Summary
`static TempPathway` | `optimisePathway(Pathway tp)`
`static TempPathway` | `optimisePathway(Pathway tp, boolean removeUncertainPairs)`
`static TempPathway` | `optimisePathway(Pathway tp, boolean removeUncertainPairs, PathwayOptimiserTool guiRef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwayOptimiser

    public PathwayOptimiser()

Method Detail

### optimisePathway

    public static TempPathway optimisePathway(Pathway tp)
                                       throws IntegrityException,
                                              InconsistentException,
                                              NotFoundException,
                                              NotOptimisableException

    `IntegrityException`
    `InconsistentException`
    `NotFoundException`
    `NotOptimisableException`

### optimisePathway

    public static TempPathway optimisePathway(Pathway tp,
                                              boolean removeUncertainPairs)
                                       throws IntegrityException,
                                              InconsistentException,
                                              NotFoundException,
                                              NotOptimisableException

    `IntegrityException`
    `InconsistentException`
    `NotFoundException`
    `NotOptimisableException`

### optimisePathway

    public static TempPathway optimisePathway(Pathway tp,
                                              boolean removeUncertainPairs,
                                              PathwayOptimiserTool guiRef)
                                       throws IntegrityException,
                                              InconsistentException,
                                              NotFoundException,
                                              NotOptimisableException

    `IntegrityException`
    `InconsistentException`
    `NotFoundException`
    `NotOptimisableException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD